> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heaven.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Protocol Config State

> Fetch the on-chain protocol configuration for a given version.

The protocol config contains fee structures, pool creation parameters, and other protocol-wide settings. Different versions may have different fee tiers.



## OpenAPI

````yaml /openapi.json post /data/protocol-config-state
openapi: 3.1.0
info:
  title: heaven-tx-api
  description: ''
  license:
    name: ''
  version: 0.1.14
servers:
  - url: https://tx.api.heaven.xyz
security: []
tags:
  - name: heaven-api
    description: Heaven API
paths:
  /data/protocol-config-state:
    post:
      tags:
        - Data API
      summary: Get Protocol Config State
      description: >-
        Fetch the on-chain protocol configuration for a given version.


        The protocol config contains fee structures, pool creation parameters,
        and other protocol-wide settings. Different versions may have different
        fee tiers.
      operationId: fetch_protocol_config
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FetchProtocolConfigRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchProtocolConfigResponse'
components:
  schemas:
    FetchProtocolConfigRequest:
      type: object
      required:
        - config_version
        - program_id
      properties:
        config_version:
          type: integer
          description: Protocol config version
          default: 1
          minimum: 0
        program_id:
          type: string
          description: Program ID of the Heaven DEX program
          default: HEAVENoP2qxoeuF8Dj2oT1GHEnu49U5mJYkdeC8BAX2o
          example: HEAVENoP2qxoeuF8Dj2oT1GHEnu49U5mJYkdeC8BAX2o
    FetchProtocolConfigResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: string
          description: JSON encoded ProtocolConfig struct

````